# tclparse V2.00 from 14.March 1997                                 
# Copyright 1996/97 Stephan Weiss, Heiko Grossmann                  
#                   University of Stuttgart, Germany                
# For details see the copyright file included in the distribution.  
# This notice must not be removed from the file.                    
#                                                                   
# tk script to build configuration file for vars


wm withdraw .

# Eine Liste aller Variablen erzeugen.
set varList [ lsort [ info globals ] ]

# Die Namen von einfachen Variablen werden einfach geschrieben, fuer Felder
# muessen immer erst noch die Indices ermittelt werden.
foreach varName $varList {

    if ![ array exists $varName ] {
	puts $varName

    } else {

	foreach index [ array names $varName ] {
	    set fullName ""
	    append fullName $varName ( $index )
	    puts $fullName
	}
    }
}

exit